FADVISE(1)

BEZEICHNUNG
fadvise - Dienstprogramm zur Verwendung des Systemaufrufs posix_fadvise

ÜBERSICHT

fadvise [-a Vordeklaration] [-o Versatz] [-l Länge] Dateiname

fadvise [-a Vordeklaration] [-o Versatz] [-l Länge] -d Dateideskriptor

BESCHREIBUNG

fadvise ist ein einfacher Befehl, der auf dem Systemaufruf posix_fadvise(2) aufsetzt, welcher zur Vordeklaration eines Zugriffsmusters für Dateidaten gedacht ist.

OPTIONEN

-d, --fd Dateideskriptor
    wendet die Vordeklaration auf die Datei mit dem angegebenen Dateideskriptor an, anstatt eine Datei nach Angabe eines Dateinamens zu öffnen.

-a, --advice Vordeklaration
    Siehe die Ausgabe mit der Option --help für verfügbare Werte für die Vordeklaration. Falls diese Option weggelassen wird, wird »dontneed« als standardmäßige Vordeklaration verwendet.

-o, --offset Versatz
    gibt den Anfang des Zuweisungsbereiches in Byte an. Falls diese Option weggelassen wird, wird 0 als standardmäßige Vordeklaration angenommen.

-l, --length Länge
    gibt die Länge des Zuweisungsbereiches in Byte an. Falls diese Option weggelassen wird, wird 0 als standardmäßige Vordeklaration angenommen.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

fadvise gibt die folgenden Rückgabewerte aus:

0
    Erfolg

1
    Nicht näher bezeichneter Fehler.

AUTOREN

SIEHE AUCH

posix_fadvise(2)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl fadvise ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.